Bug 321701

Summary: gnome-system-log crashes frequently
Product: [Fedora] Fedora Reporter: Julian Sikorski <belegdol>
Component: gnome-utilsAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-10-22 10:19:28 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 235704    

Description Julian Sikorski 2007-10-06 20:32:19 EDT
Description of problem:
gnome-system-log often crashes leaving the following message:
Gtk-CRITICAL **: _gtk_tree_view_find_path: assertion `node != NULL' failed

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install gnome-utils
2. start looking through logs, changing the files
Actual results:
program crashes

Expected results:
no crash
Comment 1 Julian Sikorski 2007-10-09 10:24:00 EDT
Well, I'm not sure if it's a crash, as the program behaves as it if exited
normally, thus no backtrace is possible.
Comment 2 Matthias Clasen 2007-10-10 08:53:35 EDT
I have not been able to reproduce this on i386.  
Ray, now that you have an x86_64 install, maybe you can give it a try ?
Comment 3 Matthias Clasen 2007-10-10 14:29:06 EDT
It is possible that some of the log content is causing gnome-system-log trouble. 
Comment 4 Julian Sikorski 2007-10-10 15:37:08 EDT
Possible. Nevertheless, now switching from yum log to any other one causes the
program to go south. I could try debugging it further provided you gave me some
Comment 5 Matthias Clasen 2007-10-18 00:43:37 EDT
I just succeeded in reproducing some critical warnings while scrolling around in
the treeview:

#0  0x00110402 in __kernel_vsyscall ()
#1  0x008dd690 in *__GI_raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#2  0x008def91 in *__GI_abort () at abort.c:88
#3  0x007acf5a in IA__g_logv (log_domain=<value optimized out>, 
    format=0x7f80e7 "%s: assertion `%s' failed", args1=0xbfb8d74c "#Ú`")
    at gmessages.c:497
#4  0x007acf99 in IA__g_log (log_domain=0x55f777 "Gtk", 
    format=0x7f80e7 "%s: assertion `%s' failed") at gmessages.c:517
#5  0x007ad07b in IA__g_return_if_fail_warning (log_domain=0x55f777 "Gtk", 
    pretty_function=0x60da23 "_gtk_tree_view_find_path",
    expression=0x609b59 "node != NULL") at gmessages.c:532
#6  0x004ebac0 in _gtk_tree_view_find_path (tree_view=0x92e4058, tree=0x0, 
    node=0x0) at gtktreeview.c:9013
#7  0x004ee8f8 in IA__gtk_tree_view_get_visible_range (tree_view=0x92e4058, 
    start_path=0xbfb8d80c, end_path=0x0) at gtktreeview.c:13290
#8  0x080520a9 in logview_select_log (log=0x0) at logview.c:199
#9  0x08053fe1 in loglist_selection_changed (selection=0x92c6680)
    at loglist.c:253
#10 0x001ef409 in IA__g_cclosure_marshal_VOID__VOID (closure=0x92e1720, 
    return_value=0x0, n_param_values=1, param_values=0xbfb8daac,
    invocation_hint=0xbfb8d9bc, marshal_data=0x8053f10) at gmarshal.c:77
#11 0x001e206c in IA__g_closure_invoke (closure=0x92e1720, return_value=0x0, 
    n_param_values=1, param_values=0xbfb8daac, invocation_hint=0xbfb8d9bc)
    at gclosure.c:490
#12 0x001f248d in signal_emit_unlocked_R (node=0x92dc3f8, detail=0, 
    instance=0x92c6680, emission_return=0x0, instance_and_params=0xbfb8daac)
    at gsignal.c:2440
#13 0x001f3997 in IA__g_signal_emit_valist (instance=0x92c6680, signal_id=172, 
    detail=0, var_args=0xbfb8dcec "O=M") at gsignal.c:2199
#14 0x001f3b59 in IA__g_signal_emit (instance=0x92c6680, signal_id=172, 
    detail=0) at gsignal.c:2243
Comment 6 Matthias Clasen 2007-10-22 10:19:28 EDT
Fixed in the recent gnome-system-log and gtk2 builds